Subject: RFC 5293 on Sieve Email Filtering: Editheader Extension

From: [email-masked]
Date: Thu, 21 Aug 2008 11:47:57 -0700 (PDT)

A new Request for Comments is now available in online RFC libraries.

        RFC 5293

        Title:      Sieve Email Filtering: Editheader Extension 
        Author:     J. Degener, P. Guenther
        Status:     Standards Track
        Date:       August 2008
        Mailbox:    [email-masked], 
                    [email-masked]
        Pages:      9
        Characters: 17674
        Updates/Obsoletes/SeeAlso:   None

        I-D Tag:    draft-ietf-sieve-editheader-11.txt

        URL:        http://www.rfc-editor.org/rfc/rfc5293.txt

This document defines two new actions for the "Sieve" email
filtering language that add and delete email header fields.  [STANDARDS TRACK]

This document is a product of the Sieve Mail Filtering Language Working Group of the IETF.

This is now a Proposed Standard Protocol.

STANDARDS TRACK: This document specifies an Internet standards track
protocol for the Internet community,and requests discussion and suggestions
for improvements.  Please refer to the current edition of the Internet
Official Protocol Standards (STD 1) for the standardization state and
status of this protocol.  Distribution of this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  http://www.ietf.org/mailman/listinfo/ietf-announce
  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
For downloading RFCs, see http://www.rfc-editor.org/rfc.html.

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.

The RFC Editor Team
USC/Information Sciences Institute

To: [email-masked], [email-masked]
Subject: RFC 5293 on Sieve Email Filtering: Editheader Extension
From: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 21 Aug 2008 11:47:57 -0700 (PDT)
Sender: [email-masked]

A new Request for Comments is now available in online RFC libraries.

        RFC 5293

        Title:      Sieve Email Filtering: Editheader Extension 
        Author:     J. Degener, P. Guenther
        Status:     Standards Track
        Date:       August 2008
        Mailbox:    [email-masked], 
                    [email-masked]
        Pages:      9
        Characters: 17674
        Updates/Obsoletes/SeeAlso:   None

        I-D Tag:    draft-ietf-sieve-editheader-11.txt

        URL:        http://www.rfc-editor.org/rfc/rfc5293.txt

This document defines two new actions for the "Sieve" email
filtering language that add and delete email header fields.  [STANDARDS TRACK]

This document is a product of the Sieve Mail Filtering Language Working Group of the IETF.

This is now a Proposed Standard Protocol.

STANDARDS TRACK: This document specifies an Internet standards track
protocol for the Internet community,and requests discussion and suggestions
for improvements.  Please refer to the current edition of the Internet
Official Protocol Standards (STD 1) for the standardization state and
status of this protocol.  Distribution of this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  http://www.ietf.org/mailman/listinfo/ietf-announce
  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
For downloading RFCs, see http://www.rfc-editor.org/rfc.html.

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.

The RFC Editor Team
USC/Information Sciences Institute

Date: Fri, 15 Aug 2008 20:56:17 +0100
From: Alexey Melnikov <[email-masked]>
To: Aaron Stone <[email-masked]>
CC: [email-masked]
Subject: Re: Any objections to taking IMAP Sieve as a WG item?
Sender: [email-masked]

Aaron Stone wrote:

> On Aug 13, 2008, at 7:08 AM, Alexey Melnikov wrote:
>
>> Sorry for forgetting to send this question earlier: do people have  
>> any objections to working on draft-ietf-lemonade-imap-sieve-05.txt  
>> in the updated Sieve WG?
>> It is currently a Lemonade WG document. Lemonade WG chairs have no  
>> objections to Sieve WG taking this document.
>
> No objections.
> Is Sieve still slated to be part of the Lemonade profile?

Yes, Sieve on delivery + some Sieve extensions.
But not IMAP Sieve.

Cc: [email-masked]
From: Aaron Stone <[email-masked]>
To: Alexey Melnikov <[email-masked]>
Subject: Re: Any objections to taking IMAP Sieve as a WG item?
Date: Fri, 15 Aug 2008 09:57:50 -0700
Sender: [email-masked]

On Aug 13, 2008, at 7:08 AM, Alexey Melnikov wrote:

>
> Sorry for forgetting to send this question earlier: do people have  
> any objections to working on draft-ietf-lemonade-imap-sieve-05.txt  
> in the updated Sieve WG?
> It is currently a Lemonade WG document. Lemonade WG chairs have no  
> objections to Sieve WG taking this document.
>

No objections.
Is Sieve still slated to be part of the Lemonade profile?

Aaron

Content-class: urn:content-classes:message
Subject: RE: Any objections to taking IMAP Sieve as a WG item?
Date: Fri, 15 Aug 2008 14:13:28 +0300
From: <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Sender: [email-masked]

Hi Alexey,
it seems like the natural home for it.
I was always wondering why was it in Lemonade in the first place. (?)

Best regards: Zolt=E1n =D6rd=F6gh
E-mail: zoltan dot ordogh at nokia dot com
Phone: +358 50 386 0566

-----Original Message-----
From: [email-masked] =
[mailto:[email-masked]] On Behalf Of ext Alexey =
Melnikov
Sent: 13 August, 2008 17:09
To: [email-masked]
Subject: Any objections to taking IMAP Sieve as a WG item?

Sorry for forgetting to send this question earlier: do people have any =
objections to working on draft-ietf-lemonade-imap-sieve-05.txt in the =
updated Sieve WG?
It is currently a Lemonade WG document. Lemonade WG chairs have no =
objections to Sieve WG taking this document.

Date: Wed, 13 Aug 2008 16:18:01 -0700 (PDT)
From: Ned Freed <[email-masked]>
Subject: Re: Any objections to taking IMAP Sieve as a WG item?
To: Alexey Melnikov <[email-masked]>
Cc: [email-masked]
Sender: [email-masked]

> Sorry for forgetting to send this question earlier: do people have any
> objections to working on draft-ietf-lemonade-imap-sieve-05.txt in the
> updated Sieve WG?
> It is currently a Lemonade WG document. Lemonade WG chairs have no
> objections to Sieve WG taking this document.

I'd actually prefer to have this in the Sieve WG.

				Ned

Date: Wed, 13 Aug 2008 15:08:36 +0100
From: Alexey Melnikov <[email-masked]>
To: [email-masked]
Subject: Any objections to taking IMAP Sieve as a WG item?
Sender: [email-masked]

Sorry for forgetting to send this question earlier: do people have any 
objections to working on draft-ietf-lemonade-imap-sieve-05.txt in the 
updated Sieve WG?
It is currently a Lemonade WG document. Lemonade WG chairs have no 
objections to Sieve WG taking this document.

Cc: Kristin Hubner <[email-masked]>, SIEVE <[email-masked]>
From: Kristin Hubner <[email-masked]>
Subject: external list "type"
Date: Mon, 11 Aug 2008 14:16:38 -0700
To: Alexey Melnikov <[email-masked]>
Sender: [email-masked]

A comment regarding draft-melnikon-sieve-external-lists-01:

I think it would be useful to have a compromise mode of referencing 
external lists,
where the user provides a list name plus the "type" (e.g., LDAP, 
CardDAV, ACAP) of
storage for the list.

I'm thinking of this in the context for what we're considering 
implementing, and thinking
that I don't want the user to have to provide the entire URL for 
accessing every list,
which seems prone to user error.  On the other hand, in order to 
support accessing different
sorts of storage for different sorts of lists (perhaps addresses 
compared against a list
stored in LDAP, but dates compared against a calendar accessed via 
CardDAV), then knowing
how to construct the right sort of URL given just a list name is not 
quite adequate.  One
could impose additional structure on the list name itself, e.g., 
friends-addressbook,
friends-facebook, holidays-companycalendar, vacations-personalcalendar, 
but then one has
to parse critical source/access information out of the list name.

That is, in addition to allowing the :list <test-name> <list-name> form 
or
:list <test-name> :<opaque-full-url> forms, I'd like to be able to do 
something
perhaps more like:

:list <test-name> <list-name> ":ldap"
:list <test-name> <list-name> ":http"

With the construction of the full URL of the specified type, using the 
<list-name>, then
being done by the Sieve implementation.  That is, for our 
implementation, algorithmic
construct of the full URLs for external lists, possibly accessed 
diffferently for different
lists, gets more feasible if in addition to Sieve owner and a 
user-friendly list-name, we
also get an indication of what sort of URL to construct.

Regards,

Kristin Hubner
[email-masked]

From: "Spencer Dawkins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, "General Area Review Team" <[email-masked]>, "Cyrus Daboo" <[email-masked]>, "Alexey Melnikov" <[email-masked]>, "Lisa Dusseault" <[email-masked]>, "Aaron Stone" <[email-masked]>, "Matthew Elvey" <[email-masked]>
Subject: Re: Last Call: draft-ietf-sieve-refuse-reject (Sieve Email Filtering: Reject and Extended Reject Extensions) to Proposed Standard 
Date: Mon, 11 Aug 2008 10:36:57 -0500
Sender: [email-masked]

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html ).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-sieve-refuse-reject-07
Reviewer: Spencer Dawkins
Review Date: 2008-08-10
IETF LC End Date: 2008-08-10 (oops!)
IESG Telechat date: N/A

Summary: Almost ready for publication as a Proposed Standard. I have some 
clarity questions below, and two technical questions involving 2119 language 
...

Comments:

Abstract

   This memo updates the definition of the Sieve mail filtering language
   "reject" extension, originally defined in RFC 3028.

   A "Joe-job" is a spam run forged to appear as though it came from an

Spencer (clarity): I'm OK with the use of "joe-job" (or, at a minimum, I'm 
OK with what you guys say it is), but there's not a clear statement in the 
abstract that the update to 3028 is in response to the "joe-job" practice. 
I'd suggest something like "... originally defined in RFC 3028, because the 
definition in RFC 3028 did not allow messages to be refused during the STMP 
transaction, and experience has shown this to be valuable in response to 
"joe-jobs"."

   innocent party, who is then generally flooded by automated bounces,
   Message Disposition Notifications (MDNs), and personal messages with
   complaints.  The original Sieve "reject" action defined in RFC 3028
   required use of MDNs for rejecting messages, thus contributing to the
   flood of Joe-job spam to victims of Joe-jobs.

   This memo updates the definition of the "reject" action to allow
   messages to be refused during the SMTP transaction, and defines the
   "ereject" action to require messages to be refused during the SMTP
   transaction, if possible.

   The "ereject" action is intended to replace the "reject" action
   wherever possible.

Spencer (clarity): a LOT later in the document, the following text appears: 
"The "ereject" action is similar to "reject", but will always favor protocol 
level message rejection". That's a really helpful summary - I'd like to see 
something like that much earlier in the document, maybe here.

1.  Introduction

   The Sieve mail filtering language [SIEVEBIS], as originally defined
   in RFC 3028 [SIEVE], specified that the "reject" action shall discard
   a message and send a Message Disposition Notification [MDN] to the
   envelope sender along with an explanatory message.  RFC 5228
   [SIEVEBIS] does not define any reject action, hence the purpose of
   this document.

Spencer (clarity): hmm. I'm almost sure that "The Sieve mail filtering 
language [SIEVEBIS]" was NOT "originally defined in RFC 3028 [SIEVE]"... :-) 
If you drop the first [SIEVEBIS] reference in this sentence, I think it's 
correct.

Spencer (clarity): It's not particularly easy for me to understand this 
paragraph, given that SIEVEBIS is used as the reference for "RFC 5228" in 
the last sentence. I might suggest "the updated Sieve mail filtering 
language [SIEVEBIS] does not define any reject action ..."

   This document updates the definition of the "reject" action to permit
   refusal of the message during the SMTP transaction, if possible, and
   defines a new "ereject" action to require refusal of the message
   during the SMTP transaction, if possible.

Spencer (clarity): a LOT later in the document, the following text appears: 
"The "ereject" action is similar to "reject", but will always favor protocol 
level message rejection". That's a really helpful summary - I'd like to see 
something like that much earlier in the document, maybe here.

   Implementations are further encouraged to use spam-detection systems
   to determine the level of risk associated with sending an MDN, and
   this document allows implementations to silently drop the MDN if the
   rejected message is deemed to be likely spam.

   Further discussion highlighting the risks of generating MDNs and the
   benefits of protocol-level refusal can be found in [Joe-DoS].

2.1.1.  Rejecting a message at the SMTP/LMTP protocol level

   Sieve implementations that are able to reject messages at the SMTP/
   LMTP level MUST do so and SHOULD use the 550 response code.  Note

Spencer (technical): since rejection is a MUST, I'd expect to see guidance 
about why using 550 might not be the right thing to do ("why is this a 
SHOULD?"). There's some text at the bottom of 2.5 about using 4XX first, but 
it should appear here, I think.

   that if a message is arriving over SMTP and has multiple recipients,
   some of whom have accepted the message, Section 2.1.2 defines how to
   reject such a message.

2.1.2.  Rejecting a message by sending a DSN

   An implementation may receive a message via SMTP that has more than
   one RCPT TO that has been accepted by the server, and at least one
   but not all of them are refusing delivery (whether the refusal is
   caused by a Sieve "ereject" action or for some other reason).  In
   this case, the server MUST accept the message and generate DSNs for
   all recipients that are refusing it.  Note that this exception does
   not apply to LMTP, as LMTP is able to reject messages on a per-
   recipient basis.  (However, the LMTP client may then have no choice
   but to generate a DSN to report the error, which may result in
   blowback.)

Spencer (clarity): "blowback" isn't defined (yet, at least).

2.2.  Action reject

   The "reject" action cancels the implicit keep and refuses delivery of
   a message.  The reason string is a UTF-8 [UTF-8] string specifying
   the reason for refusal.  Unlike the "ereject" action described above,
   this action would always favor preserving the exact text of the
   refusal reason.  Typically the "reject" action refuses delivery of a
   message by sending back an MDN to the alleged sender (see
   Section 2.2.1).  However implementations MAY refuse delivery over
   protocol (as detailed in Section 2.5), if and only if all of the

Spencer (clarity): "refuse delivery over protocol" reads roughly to me. is 
there an adjective for "protocol" that might make this sentence clearer? i'm 
not sure that "over protocol" is even required - is it? if not, you could 
just delete the two words.

   following conditions are true:

       Example:
               require ["reject"];

               if size :over 100K {
                   reject text:
       Your message is to big. If you want to send me a big attachment,

Spencer (nit): s/to/too/ :-)

2.3.  Silent upgrade from reject to ereject

   Implementations MUST NOT silently upgrade reject actions to ereject
   actions, however user interfaces may change the specific action
   underlying a descriptive representation, thereby effecting a silent
   upgrade of sorts.

Spencer (technical): ??? I may not understand the point here, but from the 
user's point of view, the requirement seems religious - protocol 
implementations are prohibited from silently upgrading, but user interfaces 
aren't, and the effect on the rejected e-mail, from the user's perspective, 
is the same, isn't it? Or is this talking about "silently upgrading reject 
actions" without making sure that the other side is ereject-capable?

----- Original Message ----- 
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, July 27, 2008 7:02 AM
Subject: Last Call: draft-ietf-sieve-refuse-reject (Sieve Email Filtering: 
Reject and Extended Reject Extensions) to Proposed Standard

>
> The IESG has received a request from the Sieve Mail Filtering Language
> WG (sieve) to consider the following document:
>
> - 'Sieve Email Filtering: Reject and Extended Reject Extensions '
>   <draft-ietf-sieve-refuse-reject-07.txt> as a Proposed Standard
>
> This document has a normative reference to RFC 2033 which documents LMTP,
> Local Mail Transfor Protocol.  Support for LMTP is not required for
> servers supporting the mechanisms in this specification.  The
> procedure of RFC 3967 is applied in this last call to approve the
> downward reference.
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2008-08-10. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-sieve-refuse-reject-07.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=13141&rfc_flag=0
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
> 

Date: Tue, 05 Aug 2008 10:43:27 -0400
From: Cyrus Daboo <[email-masked]>
To: SIEVE <[email-masked]>
Subject: Nomcom
Sender: [email-masked]

Hi folks,
Please consider volunteering for the Nomcom: 
https://datatracker.ietf.org/ann/nomcom/1617/

-- 
Cyrus Daboo